summaryrefslogtreecommitdiffstats
path: root/madwifi
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2006-05-31 13:11:20 +0000
committer Eric Hameleers <alien@slackware.com>2006-05-31 13:11:20 +0000
commit94a468649506cbe7476fbb335532bb68dbef84cd (patch)
tree855ac8491b9397bb88f4bc61541b74867a997969 /madwifi
parent972443d45c3b8f737d713606272bd7147def0f25 (diff)
downloadasb-94a468649506cbe7476fbb335532bb68dbef84cd.tar.gz
asb-94a468649506cbe7476fbb335532bb68dbef84cd.tar.xz
Lots of enhancements to the SlackBuild in celebration of official 0.9.0.
Diffstat (limited to 'madwifi')
-rwxr-xr-xmadwifi/build/madwifi.SlackBuild33
1 files changed, 26 insertions, 7 deletions
diff --git a/madwifi/build/madwifi.SlackBuild b/madwifi/build/madwifi.SlackBuild
index d8d7b631..c0398298 100755
--- a/madwifi/build/madwifi.SlackBuild
+++ b/madwifi/build/madwifi.SlackBuild
@@ -27,6 +27,8 @@
# * The man pages were not getting zipped.
# 20060519-1: 20/may/2006 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 0.9.0-1: 31/may/2006 by Eric Hameleers <alien@slackware.com>
+# * First official release! Re-worked the SlackBuild a little.
# ----------------------------------------------------------------------------
CWD=`pwd`
@@ -37,7 +39,8 @@ fi
PRGNAM=madwifi
PKG=$TMP/package-$PRGNAM
-VERSION=20060519
+SNAPSHOT="" # set to "yes" if you're building a snapshot release.
+VERSION=0.9.0
BUILD=1
ARCH=${ARCH:-i486}
KVER=${KVER:-`uname -r`}
@@ -93,6 +96,7 @@ else
rm -rf $PKG/* # We always erase old package's contents:
fi
+rm -f $CWD/*.log
cd $PKG
# Explode the package framework:
@@ -113,8 +117,11 @@ cd $TMP/tmp-$PRGNAM
# ... or get a snapshot at http://snapshots.madwifi.org/
echo "Extracting the source tarball..."
-tar xzvf $CWD/${PRGNAM}-ng*$VERSION.tar.gz
-
+if [ -z $SNAPSHOT ]; then
+ tar xzvf $CWD/${PRGNAM}-$VERSION.tar.gz
+else
+ tar xzvf $CWD/${PRGNAM}-ng*$VERSION.tar.gz
+fi
# I expect a pristine kernel source (freshly installed slackware package)
# Madwifi expects the sources at the location that the link
# "/lib/modules/<kernelversion>/build" points to.... so be it.
@@ -122,7 +129,11 @@ cd ${KSRC}
make clean oldconfig dep
cd -
-cd ${PRGNAM}-ng*${VERSION}
+if [ -z $SNAPSHOT ]; then
+ cd ${PRGNAM}-${VERSION}
+else
+ cd ${PRGNAM}-ng*${VERSION}
+fi
chown -R root:root *
find . -perm 777 -exec chmod 755 {} \;
@@ -142,9 +153,17 @@ make clean all KERNELPATH=${KSRC} KERNELRELEASE=${KVER} \
# Install the kernel module and tools
mkdir -p $PKG/usr/{bin,man}
-make install DESTDIR=$PKG \
- BINDIR=/usr/bin MANDIR=/usr/man KERNELPATH=${KSRC} KERNELRELEASE=${KVER} \
- 2>&1 | tee $CWD/install-${PRGNAM}.log
+
+# Use installwatch if available:
+which installwatch > /dev/null 2>&1
+if [ $? == 0 ]; then
+ installwatch -o $CWD/install-${PRGNAM}.log make install DESTDIR=$PKG \
+ BINDIR=/usr/bin MANDIR=/usr/man KERNELPATH=${KSRC} KERNELRELEASE=${KVER}
+else
+ make install DESTDIR=$PKG \
+ BINDIR=/usr/bin MANDIR=/usr/man KERNELPATH=${KSRC} KERNELRELEASE=${KVER} \
+ 2>&1 | tee $CWD/install-${PRGNAM}.log
+fi
# Include files (for wpa_supplicant):
mkdir -p $PKG/usr/include/madwifi